package com.bwie.expressage.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.expressage.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Lenovo
 */
@RestController
public class UserController {
    @Autowired
    private UserService userService;

    @GetMapping("/list")
    public Result<List<User>> list(){
        return Result.success(userService.list());
    }
}
